Offers

Mark An Accepted Offer As Closed

POSThttps://api.getcovent.com/api/v1/offers/{id}/close

Mark an accepted offer as closed.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X POST "https://api.getcovent.com/api/v1/offers/{id}/close" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "closed_at": "2026-04-28T17:00:00Z",
  "close_price": 372000,
  "notes": "Closed on schedule with title."
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

idstringRequired

id path parameter.

Example: <id>

closed_atstringRequired

closed_at request field.

Example: 2026-04-28T17:00:00Z
close_pricenumberRequired

close_price request field.

Example: 372000
notesstringRequired

notes request field.

Example: Closed on schedule with title.

Response

200application/json

idstringRequired

id response field.

Example: off_123
statusstringRequired

status response field.

Example: closed
closed_atstringRequired

closed_at response field.

Example: 2026-04-28T17:00:00Z
close_pricenumberRequired

close_price response field.

Example: 372000
updated_atstringRequired

updated_at response field.

Example: 2026-04-28T17:00:00Z

Response Example

{
  "id": "off_123",
  "status": "closed",
  "closed_at": "2026-04-28T17:00:00Z",
  "close_price": 372000,
  "updated_at": "2026-04-28T17:00:00Z"
}